package com.atlassian.bitbucket.audit;

import com.atlassian.bitbucket.project.Project;
import com.atlassian.bitbucket.repository.Repository;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public interface AuditEntry extends MinimalAuditEntry {

    @Nullable
    Project getProject();

    @Nullable
    Repository getRepository();

    @Nullable
    String getSourceIpAddress();

    @Nonnull
    String getTarget();
}
